RubyGems Navigation menu

cocoapods 1.14.3

CocoaPods manages library dependencies for your Xcode project. You specify the dependencies for your project in one easy text file. CocoaPods resolves dependencies between libraries, fetches source code for the dependencies, and creates and maintains an Xcode workspace to build your project. Ultimately, the goal is to improve discoverability of, and engagement in, third party open-source libraries, by creating a more centralized ecosystem.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 1.15.2 - February 06, 2024 (291 KB)
  2. 1.15.1 - February 06, 2024 (291 KB)
  3. 1.15.0 - January 28, 2024 (291 KB)
  4. 1.14.3 - November 19, 2023 (291 KB)
  5. 1.14.2 - October 27, 2023 (291 KB)
Show all versions (227 total)

Runtime Dependencies (17):

addressable ~> 2.8
claide >= 1.0.2, < 2.0
cocoapods-core = 1.14.3
cocoapods-deintegrate >= 1.0.3, < 2.0
cocoapods-downloader >= 2.1, < 3.0
cocoapods-plugins >= 1.0.0, < 2.0
cocoapods-search >= 1.0.0, < 2.0
cocoapods-trunk >= 1.6.0, < 2.0
cocoapods-try >= 1.1.0, < 2.0
colored2 ~> 3.1
escape ~> 0.0.4
fourflusher >= 2.3.0, < 3.0
gh_inspector ~> 1.0
molinillo ~> 0.8.0
nap ~> 1.0
ruby-macho >= 2.3.0, < 3.0
xcodeproj >= 1.23.0, < 2.0

Development Dependencies (3):

bacon ~> 1.1
bundler ~> 2.0
rake ~> 12.3

Owners:

Pushed by:

Authors:

  • Eloy Duran, Fabio Pelosin, Kyle Fuller, Samuel Giddins

SHA 256 checksum:

232f1296f2a8361777022b6e02db3b8ba440b6b4d71666f9a0dffdd252385ce4

Total downloads 86,143,454

For this version 1,927,371

License:

MIT

Required Ruby Version: >= 2.6

Links: